package de.agilecoders.wicket.extensions.markup.html.bootstrap.icon;

import static de.agilecoders.wicket.extensions.markup.html.bootstrap.icon.FontAwesomeIconTypeBuilder.on;

import org.apache.wicket.util.string.Strings;

import de.agilecoders.wicket.core.markup.html.bootstrap.image.IconType;
import de.agilecoders.wicket.extensions.markup.html.bootstrap.icon.FontAwesomeIconTypeBuilder.FontAwesomeGraphic;

/**
 * All the icon types.
 */
public class FontAwesomeIconType extends IconType {

    public static final FontAwesomeIconType px500 = on(FontAwesomeGraphic.px500).build();
    public static final FontAwesomeIconType adjust = on(FontAwesomeGraphic.adjust).build();
    public static final FontAwesomeIconType adn = on(FontAwesomeGraphic.adn).build();
    public static final FontAwesomeIconType align_center = on(FontAwesomeGraphic.align_center).build();
    public static final FontAwesomeIconType align_justify = on(FontAwesomeGraphic.align_justify).build();
    public static final FontAwesomeIconType align_left = on(FontAwesomeGraphic.align_left).build();
    public static final FontAwesomeIconType align_right = on(FontAwesomeGraphic.align_right).build();
    public static final FontAwesomeIconType amazon = on(FontAwesomeGraphic.amazon).build();
    public static final FontAwesomeIconType ambulance = on(FontAwesomeGraphic.ambulance).build();
    public static final FontAwesomeIconType anchor = on(FontAwesomeGraphic.anchor).build();
    public static final FontAwesomeIconType android = on(FontAwesomeGraphic.android).build();
    public static final FontAwesomeIconType angellist = on(FontAwesomeGraphic.angellist).build();
    public static final FontAwesomeIconType angle_double_down = on(FontAwesomeGraphic.angle_double_down).build();
    public static final FontAwesomeIconType angle_double_left = on(FontAwesomeGraphic.angle_double_left).build();
    public static final FontAwesomeIconType angle_double_right = on(FontAwesomeGraphic.angle_double_right).build();
    public static final FontAwesomeIconType angle_double_up = on(FontAwesomeGraphic.angle_double_up).build();
    public static final FontAwesomeIconType angle_down = on(FontAwesomeGraphic.angle_down).build();
    public static final FontAwesomeIconType angle_left = on(FontAwesomeGraphic.angle_left).build();
    public static final FontAwesomeIconType angle_right = on(FontAwesomeGraphic.angle_right).build();
    public static final FontAwesomeIconType angle_up = on(FontAwesomeGraphic.angle_up).build();
    public static final FontAwesomeIconType apple = on(FontAwesomeGraphic.apple).build();
    public static final FontAwesomeIconType archive = on(FontAwesomeGraphic.archive).build();
    public static final FontAwesomeIconType area_chart = on(FontAwesomeGraphic.area_chart).build();
    public static final FontAwesomeIconType arrow_circle_down = on(FontAwesomeGraphic.arrow_circle_down).build();
    public static final FontAwesomeIconType arrow_circle_left = on(FontAwesomeGraphic.arrow_circle_left).build();
    public static final FontAwesomeIconType arrow_circle_o_down = on(FontAwesomeGraphic.arrow_circle_o_down).build();
    public static final FontAwesomeIconType arrow_circle_o_left = on(FontAwesomeGraphic.arrow_circle_o_left).build();
    public static final FontAwesomeIconType arrow_circle_o_right = on(FontAwesomeGraphic.arrow_circle_o_right).build();
    public static final FontAwesomeIconType arrow_circle_o_up = on(FontAwesomeGraphic.arrow_circle_o_up).build();
    public static final FontAwesomeIconType arrow_circle_right = on(FontAwesomeGraphic.arrow_circle_right).build();
    public static final FontAwesomeIconType arrow_circle_up = on(FontAwesomeGraphic.arrow_circle_up).build();
    public static final FontAwesomeIconType arrow_down = on(FontAwesomeGraphic.arrow_down).build();
    public static final FontAwesomeIconType arrow_left = on(FontAwesomeGraphic.arrow_left).build();
    public static final FontAwesomeIconType arrow_right = on(FontAwesomeGraphic.arrow_right).build();
    public static final FontAwesomeIconType arrow_up = on(FontAwesomeGraphic.arrow_up).build();
    public static final FontAwesomeIconType arrows = on(FontAwesomeGraphic.arrows).build();
    public static final FontAwesomeIconType arrows_alt = on(FontAwesomeGraphic.arrows_alt).build();
    public static final FontAwesomeIconType arrows_h = on(FontAwesomeGraphic.arrows_h).build();
    public static final FontAwesomeIconType arrows_v = on(FontAwesomeGraphic.arrows_v).build();
    public static final FontAwesomeIconType asterisk = on(FontAwesomeGraphic.asterisk).build();
    public static final FontAwesomeIconType at = on(FontAwesomeGraphic.at).build();
    public static final FontAwesomeIconType automobile = on(FontAwesomeGraphic.car).build();
    public static final FontAwesomeIconType backward = on(FontAwesomeIconTypeBuilder.FontAwesomeGraphic.backward)
            .build();
    public static final FontAwesomeIconType balance_scale = on(
            FontAwesomeIconTypeBuilder.FontAwesomeGraphic.balance_scale).build();
    public static final FontAwesomeIconType ban = on(FontAwesomeGraphic.ban).build();
    public static final FontAwesomeIconType bank = on(FontAwesomeGraphic.university).build();
    public static final FontAwesomeIconType bar_chart_o = on(FontAwesomeGraphic.bar_chart_o).build();
    public static final FontAwesomeIconType barcode = on(FontAwesomeGraphic.barcode).build();
    public static final FontAwesomeIconType bars = on(FontAwesomeGraphic.bars).build();
    public static final FontAwesomeIconType battery_0 = on(FontAwesomeGraphic.battery_empty).build();
    public static final FontAwesomeIconType battery_1 = on(FontAwesomeGraphic.battery_quarter).build();
    public static final FontAwesomeIconType battery_2 = on(FontAwesomeGraphic.battery_half).build();
    public static final FontAwesomeIconType battery_3 = on(FontAwesomeGraphic.battery_three_quarters).build();
    public static final FontAwesomeIconType battery_4 = on(FontAwesomeGraphic.battery_full).build();
    public static final FontAwesomeIconType battery_empty = on(FontAwesomeGraphic.battery_empty).build();
    public static final FontAwesomeIconType battery_full = on(FontAwesomeGraphic.battery_full).build();
    public static final FontAwesomeIconType battery_half = on(FontAwesomeGraphic.battery_half).build();
    public static final FontAwesomeIconType battery_quarter = on(FontAwesomeGraphic.battery_quarter).build();
    public static final FontAwesomeIconType battery_three_quarters = on(FontAwesomeGraphic.battery_three_quarters).build();
    public static final FontAwesomeIconType bed = on(FontAwesomeGraphic.bed).build();
    public static final FontAwesomeIconType beer = on(FontAwesomeGraphic.beer).build();
    public static final FontAwesomeIconType behance = on(FontAwesomeGraphic.behance).build();
    public static final FontAwesomeIconType behance_square = on(FontAwesomeGraphic.behance_square).build();
    public static final FontAwesomeIconType bell = on(FontAwesomeIconTypeBuilder.FontAwesomeGraphic.bell).build();
    public static final FontAwesomeIconType bell_o = on(FontAwesomeGraphic.bell_o).build();
    public static final FontAwesomeIconType bell_slash = on(FontAwesomeGraphic.bell_slash).build();
    public static final FontAwesomeIconType bell_slash_o = on(FontAwesomeGraphic.bell_slash_o).build();
    public static final FontAwesomeIconType bicycle = on(FontAwesomeGraphic.bicycle).build();
    public static final FontAwesomeIconType binoculars = on(FontAwesomeGraphic.binoculars).build();
    public static final FontAwesomeIconType birthday_cake = on(FontAwesomeGraphic.birthday_cake).build();
    public static final FontAwesomeIconType bitbucket = on(FontAwesomeGraphic.bitbucket).build();
    public static final FontAwesomeIconType bitbucket_square = on(FontAwesomeGraphic.bitbucket_square).build();
    public static final FontAwesomeIconType bitcoin = on(FontAwesomeGraphic.btc).build();
    public static final FontAwesomeIconType black_tie = on(FontAwesomeGraphic.black_tie).build();
    public static final FontAwesomeIconType bold = on(FontAwesomeGraphic.bold).build();
    public static final FontAwesomeIconType bolt = on(FontAwesomeIconTypeBuilder.FontAwesomeGraphic.bolt).build();
    public static final FontAwesomeIconType bomb = on(FontAwesomeIconTypeBuilder.FontAwesomeGraphic.bomb).build();
    public static final FontAwesomeIconType book = on(FontAwesomeIconTypeBuilder.FontAwesomeGraphic.book).build();
    public static final FontAwesomeIconType bookmark = on(FontAwesomeGraphic.bookmark).build();
    public static final FontAwesomeIconType bookmark_o = on(FontAwesomeGraphic.bookmark_o).build();
    public static final FontAwesomeIconType briefcase = on(FontAwesomeGraphic.briefcase).build();
    public static final FontAwesomeIconType btc = on(FontAwesomeGraphic.btc).build();
    public static final FontAwesomeIconType bug = on(FontAwesomeGraphic.bug).build();
    public static final FontAwesomeIconType building = on(FontAwesomeGraphic.building).build();
    public static final FontAwesomeIconType building_o = on(FontAwesomeGraphic.building_o).build();
    public static final FontAwesomeIconType bullhorn = on(FontAwesomeGraphic.bullhorn).build();
    public static final FontAwesomeIconType bullseye = on(FontAwesomeGraphic.bullseye).build();
    public static final FontAwesomeIconType bus = on(FontAwesomeGraphic.bus).build();
    public static final FontAwesomeIconType buysellads = on(FontAwesomeGraphic.buysellads).build();
    public static final FontAwesomeIconType cab = on(FontAwesomeGraphic.taxi).build();
    public static final FontAwesomeIconType calculator = on(FontAwesomeGraphic.calculator).build();
    public static final FontAwesomeIconType calendar = on(FontAwesomeGraphic.calendar).build();
    public static final FontAwesomeIconType calendar_check_o = on(FontAwesomeGraphic.calendar_check_o).build();
    public static final FontAwesomeIconType calendar_minus_o = on(FontAwesomeGraphic.calendar_minus_o).build();
    public static final FontAwesomeIconType calendar_o = on(FontAwesomeGraphic.calendar_o).build();
    public static final FontAwesomeIconType calendar_plus_o = on(FontAwesomeGraphic.calendar_plus_o).build();
    public static final FontAwesomeIconType calendar_times_o = on(FontAwesomeGraphic.calendar_times_o).build();
    public static final FontAwesomeIconType camera = on(FontAwesomeIconTypeBuilder.FontAwesomeGraphic.camera).build();
    public static final FontAwesomeIconType camera_retro = on(FontAwesomeGraphic.camera_retro).build();
    public static final FontAwesomeIconType car = on(FontAwesomeGraphic.car).build();
    public static final FontAwesomeIconType caret_down = on(FontAwesomeGraphic.caret_down).build();
    public static final FontAwesomeIconType caret_left = on(FontAwesomeGraphic.caret_left).build();
    public static final FontAwesomeIconType caret_right = on(FontAwesomeGraphic.caret_right).build();
    public static final FontAwesomeIconType caret_square_o_down = on(
            FontAwesomeIconTypeBuilder.FontAwesomeGraphic.caret_square_o_down).build();
    public static final FontAwesomeIconType caret_square_o_left = on(FontAwesomeGraphic.caret_square_o_left).build();
    public static final FontAwesomeIconType caret_square_o_right = on(FontAwesomeGraphic.caret_square_o_right).build();
    public static final FontAwesomeIconType caret_square_o_up = on(FontAwesomeGraphic.caret_square_o_up).build();
    public static final FontAwesomeIconType caret_up = on(FontAwesomeGraphic.caret_up).build();
    public static final FontAwesomeIconType cart_arrow_down = on(FontAwesomeGraphic.cart_arrow_down).build();
    public static final FontAwesomeIconType cart_plus = on(FontAwesomeGraphic.cart_plus).build();
    public static final FontAwesomeIconType cc = on(FontAwesomeGraphic.cc).build();
    public static final FontAwesomeIconType cc_amex = on(FontAwesomeGraphic.cc_amex).build();
    public static final FontAwesomeIconType cc_diners_club = on(FontAwesomeGraphic.cc_diners_club).build();
    public static final FontAwesomeIconType cc_discover = on(FontAwesomeGraphic.cc_discover).build();
    public static final FontAwesomeIconType cc_jcb = on(FontAwesomeGraphic.cc_jcb).build();
    public static final FontAwesomeIconType cc_mastercard = on(FontAwesomeGraphic.cc_mastercard).build();
    public static final FontAwesomeIconType cc_paypal = on(FontAwesomeGraphic.cc_paypal).build();
    public static final FontAwesomeIconType cc_stripe = on(FontAwesomeGraphic.cc_stripe).build();
    public static final FontAwesomeIconType cc_visa = on(FontAwesomeGraphic.cc_visa).build();
    public static final FontAwesomeIconType certificate = on(FontAwesomeGraphic.certificate).build();
    public static final FontAwesomeIconType chain = on(FontAwesomeGraphic.chain).build();
    public static final FontAwesomeIconType chain_broken = on(FontAwesomeGraphic.chain_broken).build();
    public static final FontAwesomeIconType check = on(FontAwesomeGraphic.check).build();
    public static final FontAwesomeIconType check_circle = on(
            FontAwesomeIconTypeBuilder.FontAwesomeGraphic.check_circle).build();
    public static final FontAwesomeIconType check_circle_o = on(FontAwesomeGraphic.check_circle_o).build();
    public static final FontAwesomeIconType check_minus_square = on(FontAwesomeGraphic.check_minus_square).build();
    public static final FontAwesomeIconType check_minus_square_o = on(FontAwesomeGraphic.check_minus_square_o).build();
    public static final FontAwesomeIconType check_square = on(FontAwesomeGraphic.check_square).build();
    public static final FontAwesomeIconType check_square_o = on(FontAwesomeGraphic.check_square_o).build();
    public static final FontAwesomeIconType chevron_circle_down = on(FontAwesomeGraphic.chevron_circle_down).build();
    public static final FontAwesomeIconType chevron_circle_left = on(FontAwesomeGraphic.chevron_circle_left).build();
    public static final FontAwesomeIconType chevron_circle_right = on(FontAwesomeGraphic.chevron_circle_right).build();
    public static final FontAwesomeIconType chevron_circle_up = on(FontAwesomeGraphic.chevron_circle_up).build();
    public static final FontAwesomeIconType chevron_down = on(FontAwesomeGraphic.chevron_down).build();
    public static final FontAwesomeIconType chevron_left = on(FontAwesomeGraphic.chevron_left).build();
    public static final FontAwesomeIconType chevron_right = on(FontAwesomeGraphic.chevron_right).build();
    public static final FontAwesomeIconType chevron_up = on(FontAwesomeGraphic.chevron_up).build();
    public static final FontAwesomeIconType child = on(FontAwesomeGraphic.child).build();
    public static final FontAwesomeIconType chrome = on(FontAwesomeGraphic.chrome).build();
    public static final FontAwesomeIconType circle = on(FontAwesomeIconTypeBuilder.FontAwesomeGraphic.circle).build();
    public static final FontAwesomeIconType circle_o = on(FontAwesomeIconTypeBuilder.FontAwesomeGraphic.circle_o)
            .build();
    public static final FontAwesomeIconType circle_o_notch = on(FontAwesomeIconTypeBuilder.FontAwesomeGraphic.circle_o_notch)
            .build();
    public static final FontAwesomeIconType circle_thin = on(FontAwesomeIconTypeBuilder.FontAwesomeGraphic.circle_thin)
            .build();
    public static final FontAwesomeIconType clipboard = on(FontAwesomeGraphic.clipboard).build();
    public static final FontAwesomeIconType clock_o = on(FontAwesomeGraphic.clock_o).build();
    public static final FontAwesomeIconType clone = on(FontAwesomeGraphic.clone).build();
    public static final FontAwesomeIconType close = on(FontAwesomeGraphic.remove).build();
    public static final FontAwesomeIconType cloud = on(FontAwesomeGraphic.cloud).build();
    public static final FontAwesomeIconType cloud_download = on(FontAwesomeGraphic.cloud_download).build();
    public static final FontAwesomeIconType cloud_upload = on(FontAwesomeGraphic.cloud_upload).build();
    public static final FontAwesomeIconType codepen = on(FontAwesomeGraphic.codepen).build();
    public static final FontAwesomeIconType cny = on(FontAwesomeGraphic.cny).build();
    public static final FontAwesomeIconType code = on(FontAwesomeGraphic.code).build();
    public static final FontAwesomeIconType code_fork = on(FontAwesomeGraphic.code_fork).build();
    public static final FontAwesomeIconType coffee = on(FontAwesomeGraphic.coffee).build();
    public static final FontAwesomeIconType cog = on(FontAwesomeGraphic.cog).build();
    public static final FontAwesomeIconType cogs = on(FontAwesomeGraphic.cogs).build();
    public static final FontAwesomeIconType columns = on(FontAwesomeGraphic.columns).build();
    public static final FontAwesomeIconType comment = on(FontAwesomeGraphic.comment).build();
    public static final FontAwesomeIconType comment_o = on(FontAwesomeGraphic.comment_o).build();
    public static final FontAwesomeIconType commenting = on(FontAwesomeGraphic.commenting).build();
    public static final FontAwesomeIconType commenting_o = on(FontAwesomeGraphic.commenting_o).build();
    public static final FontAwesomeIconType comments = on(FontAwesomeGraphic.comments).build();
    public static final FontAwesomeIconType comments_o = on(FontAwesomeGraphic.comments_o).build();
    public static final FontAwesomeIconType compass = on(FontAwesomeIconTypeBuilder.FontAwesomeGraphic.compass).build();
    public static final FontAwesomeIconType compress = on(FontAwesomeIconTypeBuilder.FontAwesomeGraphic.compress).build();
    public static final FontAwesomeIconType connectdevelop = on(FontAwesomeIconTypeBuilder.FontAwesomeGraphic.connectdevelop).build();
    public static final FontAwesomeIconType contao = on(FontAwesomeIconTypeBuilder.FontAwesomeGraphic.contao).build();
    public static final FontAwesomeIconType copy = on(FontAwesomeGraphic.copy).build();
    public static final FontAwesomeIconType copyright = on(FontAwesomeGraphic.copyright).build();
    public static final FontAwesomeIconType creative_commons = on(FontAwesomeGraphic.creative_commons).build();
    public static final FontAwesomeIconType credit_card = on(FontAwesomeIconTypeBuilder.FontAwesomeGraphic.credit_card)
            .build();
    public static final FontAwesomeIconType crop = on(FontAwesomeGraphic.crop).build();
    public static final FontAwesomeIconType crosshairs = on(FontAwesomeGraphic.crosshairs).build();
    public static final FontAwesomeIconType css3 = on(FontAwesomeIconTypeBuilder.FontAwesomeGraphic.css3).build();
    public static final FontAwesomeIconType cube = on(FontAwesomeIconTypeBuilder.FontAwesomeGraphic.cube).build();
    public static final FontAwesomeIconType cubes = on(FontAwesomeIconTypeBuilder.FontAwesomeGraphic.cubes).build();
    public static final FontAwesomeIconType cut = on(FontAwesomeIconTypeBuilder.FontAwesomeGraphic.cut).build();
    public static final FontAwesomeIconType cutlery = on(FontAwesomeGraphic.cutlery).build();
    public static final FontAwesomeIconType dashcube = on(FontAwesomeGraphic.dashcube).build();
    public static final FontAwesomeIconType database = on(FontAwesomeGraphic.database).build();
    public static final FontAwesomeIconType dashboard = on(FontAwesomeGraphic.dashboard).build();
    public static final FontAwesomeIconType dedent = on(FontAwesomeGraphic.dedent).build();
    public static final FontAwesomeIconType delicious = on(FontAwesomeGraphic.delicious).build();
    public static final FontAwesomeIconType desktop = on(FontAwesomeGraphic.desktop).build();
    public static final FontAwesomeIconType deviantart = on(FontAwesomeGraphic.deviantart).build();
    public static final FontAwesomeIconType diamond = on(FontAwesomeGraphic.diamond).build();
    public static final FontAwesomeIconType digg = on(FontAwesomeGraphic.digg).build();
    public static final FontAwesomeIconType dollar = on(FontAwesomeGraphic.usd).build();
    public static final FontAwesomeIconType dot_circle_o = on(FontAwesomeGraphic.dot_circle_o).build();
    public static final FontAwesomeIconType download = on(FontAwesomeGraphic.download).build();
    public static final FontAwesomeIconType dribbble = on(FontAwesomeGraphic.dribbble).build();
    public static final FontAwesomeIconType dropbox = on(FontAwesomeGraphic.dropbox).build();
    public static final FontAwesomeIconType drupal = on(FontAwesomeGraphic.drupal).build();
    public static final FontAwesomeIconType edit = on(FontAwesomeGraphic.edit).build();
    public static final FontAwesomeIconType eject = on(FontAwesomeGraphic.eject).build();
    public static final FontAwesomeIconType ellipsis_h = on(FontAwesomeGraphic.ellipsis_h).build();
    public static final FontAwesomeIconType ellipsis_v = on(FontAwesomeGraphic.ellipsis_v).build();
    public static final FontAwesomeIconType empire = on(FontAwesomeGraphic.empire).build();
    public static final FontAwesomeIconType envelope = on(FontAwesomeGraphic.envelope).build();
    public static final FontAwesomeIconType envelope_o = on(FontAwesomeGraphic.envelope_o).build();
    public static final FontAwesomeIconType envelope_square = on(FontAwesomeGraphic.envelope_square).build();
    public static final FontAwesomeIconType eraser = on(FontAwesomeGraphic.eraser).build();
    public static final FontAwesomeIconType eur = on(FontAwesomeGraphic.eur).build();
    public static final FontAwesomeIconType euro = on(FontAwesomeGraphic.eur).build();
    public static final FontAwesomeIconType exchange = on(FontAwesomeGraphic.exchange).build();
    public static final FontAwesomeIconType exclamation = on(FontAwesomeGraphic.exclamation).build();
    public static final FontAwesomeIconType exclamation_circle = on(FontAwesomeGraphic.exclamation_circle).build();
    public static final FontAwesomeIconType exclamation_triangle = on(FontAwesomeGraphic.exclamation_triangle).build();
    public static final FontAwesomeIconType expand = on(FontAwesomeGraphic.expand).build();
    public static final FontAwesomeIconType expeditedssl = on(FontAwesomeGraphic.expeditedssl).build();
    public static final FontAwesomeIconType external_link = on(
            FontAwesomeIconTypeBuilder.FontAwesomeGraphic.external_link).build();
    public static final FontAwesomeIconType external_link_square = on(FontAwesomeGraphic.external_link_square).build();
    public static final FontAwesomeIconType eye = on(FontAwesomeGraphic.eye).build();
    public static final FontAwesomeIconType eye_slash = on(FontAwesomeGraphic.eye_slash).build();
    public static final FontAwesomeIconType eyedropper = on(FontAwesomeGraphic.eyedropper).build();
    public static final FontAwesomeIconType facebook = on(FontAwesomeGraphic.facebook).build();
    public static final FontAwesomeIconType facebook_official = on(FontAwesomeGraphic.facebook_official).build();
    public static final FontAwesomeIconType facebook_square = on(
            FontAwesomeIconTypeBuilder.FontAwesomeGraphic.facebook_square).build();
    public static final FontAwesomeIconType fast_backward = on(FontAwesomeGraphic.fast_backward).build();
    public static final FontAwesomeIconType fast_forward = on(FontAwesomeGraphic.fast_forward).build();
    public static final FontAwesomeIconType fax = on(FontAwesomeGraphic.fax).build();
    public static final FontAwesomeIconType female = on(FontAwesomeGraphic.female).build();
    public static final FontAwesomeIconType fighter_jet = on(FontAwesomeGraphic.fighter_jet).build();
    public static final FontAwesomeIconType file = on(FontAwesomeGraphic.file).build();
    public static final FontAwesomeIconType file_archive_o = on(FontAwesomeGraphic.file_archive_o).build();
    public static final FontAwesomeIconType file_audio_o = on(FontAwesomeGraphic.file_audio_o).build();
    public static final FontAwesomeIconType file_code_o = on(FontAwesomeGraphic.file_code_o).build();
    public static final FontAwesomeIconType file_excel_o = on(FontAwesomeGraphic.file_excel_o).build();
    public static final FontAwesomeIconType file_image_o = on(FontAwesomeGraphic.file_image_o).build();
    public static final FontAwesomeIconType file_movie_o = on(FontAwesomeGraphic.file_video_o).build();
    public static final FontAwesomeIconType file_o = on(FontAwesomeGraphic.file_o).build();
    public static final FontAwesomeIconType file_pdf_o = on(FontAwesomeGraphic.file_pdf_o).build();
    public static final FontAwesomeIconType file_photo_o = file_image_o;
    public static final FontAwesomeIconType file_picture_o = file_image_o;
    public static final FontAwesomeIconType file_powerpoint_o = on(FontAwesomeGraphic.file_powerpoint_o).build();
    public static final FontAwesomeIconType file_sound_o = file_audio_o;
    public static final FontAwesomeIconType file_text = on(FontAwesomeGraphic.file_text).build();
    public static final FontAwesomeIconType file_text_o = on(FontAwesomeGraphic.file_text_o).build();
    public static final FontAwesomeIconType file_video_o = on(FontAwesomeGraphic.file_video_o).build();
    public static final FontAwesomeIconType file_word_o = on(FontAwesomeGraphic.file_word_o).build();
    public static final FontAwesomeIconType file_zip_o = file_archive_o;
    public static final FontAwesomeIconType files_o = on(FontAwesomeGraphic.files_o).build();
    public static final FontAwesomeIconType film = on(FontAwesomeGraphic.film).build();
    public static final FontAwesomeIconType filter = on(FontAwesomeIconTypeBuilder.FontAwesomeGraphic.filter).build();
    public static final FontAwesomeIconType fire = on(FontAwesomeGraphic.fire).build();
    public static final FontAwesomeIconType fire_extinguisher = on(FontAwesomeGraphic.fire_extinguisher).build();
    public static final FontAwesomeIconType firefox = on(FontAwesomeGraphic.firefox).build();
    public static final FontAwesomeIconType flag = on(FontAwesomeGraphic.flag).build();
    public static final FontAwesomeIconType flag_checkered = on(FontAwesomeGraphic.flag_checkered).build();
    public static final FontAwesomeIconType flag_o = on(FontAwesomeGraphic.flag_o).build();
    public static final FontAwesomeIconType flash = on(FontAwesomeGraphic.flash).build();
    public static final FontAwesomeIconType flask = on(FontAwesomeGraphic.flask).build();
    public static final FontAwesomeIconType flickr = on(FontAwesomeGraphic.flickr).build();
    public static final FontAwesomeIconType floppy_o = on(FontAwesomeGraphic.floppy_o).build();
    public static final FontAwesomeIconType folder = on(FontAwesomeGraphic.folder).build();
    public static final FontAwesomeIconType folder_o = on(FontAwesomeGraphic.folder_o).build();
    public static final FontAwesomeIconType folder_open = on(FontAwesomeGraphic.folder_open).build();
    public static final FontAwesomeIconType folder_open_o = on(FontAwesomeGraphic.folder_open_o).build();
    public static final FontAwesomeIconType font = on(FontAwesomeGraphic.font).build();
    public static final FontAwesomeIconType fonticons = on(FontAwesomeGraphic.fonticons).build();
    public static final FontAwesomeIconType forumbee = on(FontAwesomeGraphic.forumbee).build();
    public static final FontAwesomeIconType forward = on(FontAwesomeGraphic.forward).build();
    public static final FontAwesomeIconType foursquare = on(FontAwesomeGraphic.foursquare).build();
    public static final FontAwesomeIconType frown_o = on(FontAwesomeGraphic.frown_o).build();
    public static final FontAwesomeIconType futbol_o = on(FontAwesomeGraphic.futbol_o).build();
    public static final FontAwesomeIconType gamepad = on(FontAwesomeGraphic.gamepad).build();
    public static final FontAwesomeIconType gavel = on(FontAwesomeGraphic.gavel).build();
    public static final FontAwesomeIconType gear = on(FontAwesomeGraphic.cog).build();
    public static final FontAwesomeIconType gbp = on(FontAwesomeGraphic.gbp).build();
    public static final FontAwesomeIconType ge = empire;
    public static final FontAwesomeIconType gears = cogs;
    public static final FontAwesomeIconType genderless = on(FontAwesomeGraphic.genderless).build();
    public static final FontAwesomeIconType get_pocket = on(FontAwesomeGraphic.get_pocket).build();
    public static final FontAwesomeIconType gg = on(FontAwesomeGraphic.gg).build();
    public static final FontAwesomeIconType gg_circle = on(FontAwesomeGraphic.gg_circle).build();
    public static final FontAwesomeIconType gift = on(FontAwesomeGraphic.gift).build();
    public static final FontAwesomeIconType git = on(FontAwesomeGraphic.git).build();
    public static final FontAwesomeIconType git_square = on(FontAwesomeGraphic.git_square).build();
    public static final FontAwesomeIconType github = on(FontAwesomeGraphic.github).build();
    public static final FontAwesomeIconType github_alt = on(FontAwesomeGraphic.github_alt).build();
    public static final FontAwesomeIconType github_square = on(FontAwesomeGraphic.github_square).build();
    public static final FontAwesomeIconType gittip = on(FontAwesomeGraphic.gittip).build();
    public static final FontAwesomeIconType glass = on(FontAwesomeGraphic.glass).build();
    public static final FontAwesomeIconType globe = on(FontAwesomeGraphic.globe).build();
    public static final FontAwesomeIconType google = on(FontAwesomeGraphic.google).build();
    public static final FontAwesomeIconType google_plus = on(FontAwesomeGraphic.google_plus).build();
    public static final FontAwesomeIconType google_plus_square = on(FontAwesomeGraphic.google_plus_square).build();
    public static final FontAwesomeIconType google_wallet = on(FontAwesomeGraphic.google_wallet).build();
    public static final FontAwesomeIconType graduation_cap = on(FontAwesomeGraphic.graduation_cap).build();
    public static final FontAwesomeIconType group = on(FontAwesomeGraphic.group).build();
    public static final FontAwesomeIconType h_square = on(FontAwesomeGraphic.h_square).build();
    public static final FontAwesomeIconType hacker_news = on(FontAwesomeGraphic.hacker_news).build();
    public static final FontAwesomeIconType hand_grab_o = on(FontAwesomeGraphic.hand_rock_o).build();
    public static final FontAwesomeIconType hand_lizard_o = on(FontAwesomeGraphic.hand_lizard_o).build();
    public static final FontAwesomeIconType hand_o_down = on(FontAwesomeGraphic.hand_o_down).build();
    public static final FontAwesomeIconType hand_o_left = on(FontAwesomeGraphic.hand_o_left).build();
    public static final FontAwesomeIconType hand_o_right = on(FontAwesomeGraphic.hand_o_right).build();
    public static final FontAwesomeIconType hand_o_up = on(FontAwesomeGraphic.hand_o_up).build();
    public static final FontAwesomeIconType hand_paper_o = on(FontAwesomeGraphic.hand_paper_o).build();
    public static final FontAwesomeIconType hand_peace_o = on(FontAwesomeGraphic.hand_peace_o).build();
    public static final FontAwesomeIconType hand_pointer_o = on(FontAwesomeGraphic.hand_pointer_o).build();
    public static final FontAwesomeIconType hand_rock_o = on(FontAwesomeGraphic.hand_rock_o).build();
    public static final FontAwesomeIconType hand_scissors_o = on(FontAwesomeGraphic.hand_scissors_o).build();
    public static final FontAwesomeIconType hand_spock_o = on(FontAwesomeGraphic.hand_spock_o).build();
    public static final FontAwesomeIconType hand_stop_o = hand_paper_o;
    public static final FontAwesomeIconType hdd_o = on(FontAwesomeGraphic.hdd_o).build();
    public static final FontAwesomeIconType header = on(FontAwesomeGraphic.header).build();
    public static final FontAwesomeIconType headphones = on(FontAwesomeGraphic.headphones).build();
    public static final FontAwesomeIconType heart = on(FontAwesomeGraphic.heart).build();
    public static final FontAwesomeIconType heart_o = on(FontAwesomeGraphic.heart_o).build();
    public static final FontAwesomeIconType heartbeat = on(FontAwesomeGraphic.heartbeat).build();
    public static final FontAwesomeIconType history = on(FontAwesomeGraphic.history).build();
    public static final FontAwesomeIconType home = on(FontAwesomeGraphic.home).build();
    public static final FontAwesomeIconType hospital_o = on(FontAwesomeGraphic.hospital_o).build();
    public static final FontAwesomeIconType hotem = bed;
    public static final FontAwesomeIconType hourglass = on(FontAwesomeGraphic.hourglass).build();
    public static final FontAwesomeIconType hourglass_1 = on(FontAwesomeGraphic.hourglass_start).build();
    public static final FontAwesomeIconType hourglass_2 = on(FontAwesomeGraphic.hourglass_half).build();
    public static final FontAwesomeIconType hourglass_3 = on(FontAwesomeGraphic.hourglass_end).build();
    public static final FontAwesomeIconType hourglass_end = hourglass_3;
    public static final FontAwesomeIconType hourglass_half = hourglass_2;
    public static final FontAwesomeIconType hourglass_o = on(FontAwesomeGraphic.hourglass_o).build();
    public static final FontAwesomeIconType hourglass_start = hourglass_1;
    public static final FontAwesomeIconType houzz = on(FontAwesomeGraphic.houzz).build();
    public static final FontAwesomeIconType html5 = on(FontAwesomeGraphic.html5).build();
    public static final FontAwesomeIconType i_cursor = on(FontAwesomeGraphic.i_cursor).build();
    public static final FontAwesomeIconType ils = on(FontAwesomeGraphic.ils).build();
    public static final FontAwesomeIconType inbox = on(FontAwesomeGraphic.inbox).build();
    public static final FontAwesomeIconType indent = on(FontAwesomeGraphic.indent).build();
    public static final FontAwesomeIconType industry = on(FontAwesomeGraphic.industry).build();
    public static final FontAwesomeIconType info = on(FontAwesomeGraphic.info).build();
    public static final FontAwesomeIconType info_circle = on(FontAwesomeGraphic.info_circle).build();
    public static final FontAwesomeIconType inr = on(FontAwesomeGraphic.inr).build();
    public static final FontAwesomeIconType instagram = on(FontAwesomeGraphic.instagram).build();
    public static final FontAwesomeIconType institution = on(FontAwesomeGraphic.university).build();
    public static final FontAwesomeIconType internet_explorer = on(FontAwesomeGraphic.internet_explorer).build();
    public static final FontAwesomeIconType intersex = on(FontAwesomeGraphic.transgender).build();
    public static final FontAwesomeIconType ioxhost = on(FontAwesomeGraphic.ioxhost).build();
    public static final FontAwesomeIconType italic = on(FontAwesomeGraphic.italic).build();
    public static final FontAwesomeIconType joomla = on(FontAwesomeGraphic.joomla).build();
    public static final FontAwesomeIconType jpy = on(FontAwesomeGraphic.jpy).build();
    public static final FontAwesomeIconType jsfiddle = on(FontAwesomeGraphic.jsfiddle).build();
    public static final FontAwesomeIconType key = on(FontAwesomeGraphic.key).build();
    public static final FontAwesomeIconType keyboard_o = on(FontAwesomeGraphic.keyboard_o).build();
    public static final FontAwesomeIconType krw = on(FontAwesomeGraphic.krw).build();
    public static final FontAwesomeIconType language = on(FontAwesomeGraphic.language).build();
    public static final FontAwesomeIconType laptop = on(FontAwesomeGraphic.laptop).build();
    public static final FontAwesomeIconType lastfm = on(FontAwesomeGraphic.lastfm).build();
    public static final FontAwesomeIconType lastfm_square = on(FontAwesomeGraphic.lastfm_square).build();
    public static final FontAwesomeIconType leaf = on(FontAwesomeGraphic.leaf).build();
    public static final FontAwesomeIconType leanpub = on(FontAwesomeGraphic.leanpub).build();
    public static final FontAwesomeIconType legal = on(FontAwesomeGraphic.legal).build();
    public static final FontAwesomeIconType lemon_o = on(FontAwesomeGraphic.lemon_o).build();
    public static final FontAwesomeIconType level_down = on(FontAwesomeGraphic.level_down).build();
    public static final FontAwesomeIconType level_up = on(FontAwesomeGraphic.level_up).build();
    public static final FontAwesomeIconType life_bouy = on(FontAwesomeGraphic.life_ring).build();
    public static final FontAwesomeIconType life_buoy = life_bouy;
    public static final FontAwesomeIconType life_ring = life_bouy;
    public static final FontAwesomeIconType life_saver = life_bouy;
    public static final FontAwesomeIconType lightbulb_o = on(FontAwesomeGraphic.lightbulb_o).build();
    public static final FontAwesomeIconType line_chart = on(FontAwesomeGraphic.line_chart).build();
    public static final FontAwesomeIconType link = on(FontAwesomeGraphic.link).build();
    public static final FontAwesomeIconType linkedin = on(FontAwesomeGraphic.linkedin).build();
    public static final FontAwesomeIconType linkedin_square = on(FontAwesomeGraphic.linkedin_square).build();
    public static final FontAwesomeIconType linux = on(FontAwesomeGraphic.linux).build();
    public static final FontAwesomeIconType list = on(FontAwesomeGraphic.list).build();
    public static final FontAwesomeIconType list_alt = on(FontAwesomeGraphic.list_alt).build();
    public static final FontAwesomeIconType list_ol = on(FontAwesomeGraphic.list_ol).build();
    public static final FontAwesomeIconType list_ul = on(FontAwesomeGraphic.list_ul).build();
    public static final FontAwesomeIconType location_arrow = on(FontAwesomeGraphic.location_arrow).build();
    public static final FontAwesomeIconType lock = on(FontAwesomeGraphic.lock).build();
    public static final FontAwesomeIconType long_arrow_down = on(FontAwesomeGraphic.long_arrow_down).build();
    public static final FontAwesomeIconType long_arrow_left = on(FontAwesomeGraphic.long_arrow_left).build();
    public static final FontAwesomeIconType long_arrow_right = on(FontAwesomeGraphic.long_arrow_right).build();
    public static final FontAwesomeIconType long_arrow_up = on(FontAwesomeGraphic.long_arrow_up).build();
    public static final FontAwesomeIconType magic = on(FontAwesomeGraphic.magic).build();
    public static final FontAwesomeIconType magnet = on(FontAwesomeGraphic.magnet).build();
    public static final FontAwesomeIconType mail_forward = on(FontAwesomeGraphic.mail_forward).build();
    public static final FontAwesomeIconType mail_reply = on(FontAwesomeIconTypeBuilder.FontAwesomeGraphic.mail_reply)
            .build();
    public static final FontAwesomeIconType mail_reply_all = on(FontAwesomeGraphic.mail_reply_all).build();
    public static final FontAwesomeIconType male = on(FontAwesomeGraphic.male).build();
    public static final FontAwesomeIconType map = on(FontAwesomeGraphic.map).build();
    public static final FontAwesomeIconType map_marker = on(FontAwesomeGraphic.map_marker).build();
    public static final FontAwesomeIconType map_o = on(FontAwesomeGraphic.map_o).build();
    public static final FontAwesomeIconType map_pin = on(FontAwesomeGraphic.map_pin).build();
    public static final FontAwesomeIconType map_signs = on(FontAwesomeGraphic.map_signs).build();
    public static final FontAwesomeIconType mars = on(FontAwesomeGraphic.mars).build();
    public static final FontAwesomeIconType mars_double = on(FontAwesomeGraphic.mars_double).build();
    public static final FontAwesomeIconType mars_stroke = on(FontAwesomeGraphic.mars_stroke).build();
    public static final FontAwesomeIconType mars_stroke_h = on(FontAwesomeGraphic.mars_stroke_h).build();
    public static final FontAwesomeIconType mars_stroke_v = on(FontAwesomeGraphic.mars_stroke_v).build();
    public static final FontAwesomeIconType maxcdn = on(FontAwesomeGraphic.maxcdn).build();
    public static final FontAwesomeIconType meanpath = on(FontAwesomeGraphic.meanpath).build();
    public static final FontAwesomeIconType medium = on(FontAwesomeGraphic.medium).build();
    public static final FontAwesomeIconType medkit = on(FontAwesomeGraphic.medkit).build();
    public static final FontAwesomeIconType meh_o = on(FontAwesomeGraphic.meh_o).build();
    public static final FontAwesomeIconType mercury = on(FontAwesomeGraphic.mercury).build();
    public static final FontAwesomeIconType microphone = on(FontAwesomeGraphic.microphone).build();
    public static final FontAwesomeIconType microphone_slash = on(FontAwesomeGraphic.microphone_slash).build();
    public static final FontAwesomeIconType minus = on(FontAwesomeGraphic.minus).build();
    public static final FontAwesomeIconType minus_circle = on(FontAwesomeGraphic.minus_circle).build();
    public static final FontAwesomeIconType minus_square = on(
            FontAwesomeIconTypeBuilder.FontAwesomeGraphic.minus_square).build();
    public static final FontAwesomeIconType minus_square_o = on(FontAwesomeGraphic.minus_square_o).build();
    public static final FontAwesomeIconType mobile = on(FontAwesomeGraphic.mobile).build();
    public static final FontAwesomeIconType mobile_phone = on(FontAwesomeGraphic.mobile).build();
    public static final FontAwesomeIconType money = on(FontAwesomeIconTypeBuilder.FontAwesomeGraphic.money).build();
    public static final FontAwesomeIconType moon_o = on(FontAwesomeGraphic.moon_o).build();
    public static final FontAwesomeIconType mortar_board = graduation_cap;
    public static final FontAwesomeIconType motorcycle = on(FontAwesomeGraphic.motorcycle).build();
    public static final FontAwesomeIconType mouse_pointer = on(FontAwesomeGraphic.mouse_pointer).build();
    public static final FontAwesomeIconType music = on(FontAwesomeGraphic.music).build();
    public static final FontAwesomeIconType neuter = on(FontAwesomeGraphic.neuter).build();
    public static final FontAwesomeIconType newspaper_o = on(FontAwesomeGraphic.newspaper_o).build();
    public static final FontAwesomeIconType object_group = on(FontAwesomeGraphic.object_group).build();
    public static final FontAwesomeIconType object_ungroup = on(FontAwesomeGraphic.object_ungroup).build();
    public static final FontAwesomeIconType odnoklassniki = on(FontAwesomeGraphic.odnoklassniki).build();
    public static final FontAwesomeIconType odnoklassniki_square = on(FontAwesomeGraphic.odnoklassniki_square).build();
    public static final FontAwesomeIconType opencart = on(FontAwesomeGraphic.opencart).build();
    public static final FontAwesomeIconType openid = on(FontAwesomeGraphic.openid).build();
    public static final FontAwesomeIconType opera = on(FontAwesomeGraphic.opera).build();
    public static final FontAwesomeIconType optin_monster = on(FontAwesomeGraphic.optin_monster).build();
    public static final FontAwesomeIconType outdent = on(FontAwesomeGraphic.outdent).build();
    public static final FontAwesomeIconType pagelines = on(FontAwesomeGraphic.pagelines).build();
    public static final FontAwesomeIconType paint_brush = on(FontAwesomeGraphic.paint_brush).build();
    public static final FontAwesomeIconType paper_plane = on(FontAwesomeGraphic.paper_plane).build();
    public static final FontAwesomeIconType paper_plane_o = on(FontAwesomeGraphic.paper_plane_o).build();
    public static final FontAwesomeIconType paperclip = on(FontAwesomeGraphic.paperclip).build();
    public static final FontAwesomeIconType paragraph = on(FontAwesomeGraphic.paragraph).build();
    public static final FontAwesomeIconType paste = on(FontAwesomeGraphic.paste).build();
    public static final FontAwesomeIconType pause = on(FontAwesomeGraphic.pause).build();
    public static final FontAwesomeIconType paw = on(FontAwesomeGraphic.paw).build();
    public static final FontAwesomeIconType paypal = on(FontAwesomeGraphic.paypal).build();
    public static final FontAwesomeIconType pencil = on(FontAwesomeGraphic.pencil).build();
    public static final FontAwesomeIconType pencil_square = on(FontAwesomeGraphic.pencil_square).build();
    public static final FontAwesomeIconType pencil_square_o = on(FontAwesomeGraphic.pencil_square_o).build();
    public static final FontAwesomeIconType phone = on(FontAwesomeGraphic.phone).build();
    public static final FontAwesomeIconType phone_square = on(FontAwesomeGraphic.phone_square).build();
    public static final FontAwesomeIconType picture_o = on(FontAwesomeGraphic.picture_o).build();
    public static final FontAwesomeIconType pie_chart = on(FontAwesomeGraphic.pie_chart).build();
    public static final FontAwesomeIconType pied_piper = on(FontAwesomeGraphic.pied_piper).build();
    public static final FontAwesomeIconType pied_piper_alt = on(FontAwesomeGraphic.pied_piper_alt).build();
    public static final FontAwesomeIconType pinterest = on(FontAwesomeGraphic.pinterest).build();
    public static final FontAwesomeIconType pinterest_p = on(FontAwesomeGraphic.pinterest_p).build();
    public static final FontAwesomeIconType pinterest_square = on(
            FontAwesomeIconTypeBuilder.FontAwesomeGraphic.pinterest_square).build();
    public static final FontAwesomeIconType plane = on(FontAwesomeGraphic.plane).build();
    public static final FontAwesomeIconType play = on(FontAwesomeGraphic.play).build();
    public static final FontAwesomeIconType play_circle = on(FontAwesomeGraphic.play_circle).build();
    public static final FontAwesomeIconType play_circle_o = on(FontAwesomeGraphic.play_circle_o).build();
    public static final FontAwesomeIconType plug = on(FontAwesomeGraphic.plug).build();
    public static final FontAwesomeIconType plus = on(FontAwesomeGraphic.plus).build();
    public static final FontAwesomeIconType plus_circle = on(FontAwesomeGraphic.plus_circle).build();
    public static final FontAwesomeIconType plus_square = on(FontAwesomeGraphic.plus_square).build();
    public static final FontAwesomeIconType plus_square_o = on(FontAwesomeGraphic.plus_square_o).build();
    public static final FontAwesomeIconType power_off = on(FontAwesomeGraphic.power_off).build();
    public static final FontAwesomeIconType print = on(FontAwesomeGraphic.print).build();
    public static final FontAwesomeIconType puzzle_piece = on(FontAwesomeGraphic.puzzle_piece).build();
    public static final FontAwesomeIconType qq = on(FontAwesomeGraphic.qq).build();
    public static final FontAwesomeIconType qrcode = on(FontAwesomeGraphic.qrcode).build();
    public static final FontAwesomeIconType question = on(FontAwesomeGraphic.question).build();
    public static final FontAwesomeIconType question_circle = on(FontAwesomeGraphic.question_circle).build();
    public static final FontAwesomeIconType quote_left = on(FontAwesomeGraphic.quote_left).build();
    public static final FontAwesomeIconType quote_right = on(FontAwesomeGraphic.quote_right).build();
    public static final FontAwesomeIconType ra = on(FontAwesomeGraphic.rebel).build();
    public static final FontAwesomeIconType random = on(FontAwesomeGraphic.random).build();
    public static final FontAwesomeIconType rebel = ra;
    public static final FontAwesomeIconType recycle = on(FontAwesomeGraphic.recycle).build();
    public static final FontAwesomeIconType reddit = on(FontAwesomeGraphic.reddit).build();
    public static final FontAwesomeIconType reddit_square = on(FontAwesomeGraphic.reddit_square).build();
    public static final FontAwesomeIconType refresh = on(FontAwesomeIconTypeBuilder.FontAwesomeGraphic.refresh).build();
    public static final FontAwesomeIconType registered = on(FontAwesomeIconTypeBuilder.FontAwesomeGraphic.registered).build();
    public static final FontAwesomeIconType renren = on(FontAwesomeGraphic.renren).build();
    public static final FontAwesomeIconType repeat = on(FontAwesomeGraphic.repeat).build();
    public static final FontAwesomeIconType reply = on(FontAwesomeGraphic.reply).build();
    public static final FontAwesomeIconType reply_all = on(FontAwesomeGraphic.reply_all).build();
    public static final FontAwesomeIconType retweet = on(FontAwesomeGraphic.retweet).build();
    public static final FontAwesomeIconType rmb = on(FontAwesomeGraphic.rmb).build();
    public static final FontAwesomeIconType road = on(FontAwesomeGraphic.road).build();
    public static final FontAwesomeIconType rocket = on(FontAwesomeGraphic.rocket).build();
    public static final FontAwesomeIconType rotate_left = on(FontAwesomeGraphic.rotate_left).build();
    public static final FontAwesomeIconType rotate_right = on(FontAwesomeGraphic.rotate_right).build();
    public static final FontAwesomeIconType rss = on(FontAwesomeGraphic.rss).build();
    public static final FontAwesomeIconType rss_square = on(FontAwesomeGraphic.rss_square).build();
    public static final FontAwesomeIconType rub = on(FontAwesomeGraphic.rub).build();
    public static final FontAwesomeIconType ruble = on(FontAwesomeGraphic.rub).build();
    public static final FontAwesomeIconType rouble = on(FontAwesomeGraphic.rub).build();
    public static final FontAwesomeIconType rupee = on(FontAwesomeGraphic.rupee).build();
    public static final FontAwesomeIconType safari = on(FontAwesomeGraphic.safari).build();
    public static final FontAwesomeIconType save = on(FontAwesomeGraphic.save).build();
    public static final FontAwesomeIconType scissors = on(FontAwesomeGraphic.scissors).build();
    public static final FontAwesomeIconType search = on(FontAwesomeGraphic.search).build();
    public static final FontAwesomeIconType sellsy = on(FontAwesomeGraphic.sellsy).build();
    public static final FontAwesomeIconType send = paper_plane;
    public static final FontAwesomeIconType send_o = paper_plane_o;
    public static final FontAwesomeIconType server = on(FontAwesomeGraphic.server).build();
    public static final FontAwesomeIconType share = on(FontAwesomeGraphic.share).build();
    public static final FontAwesomeIconType share_alt = on(FontAwesomeGraphic.share_alt).build();
    public static final FontAwesomeIconType share_alt_square = on(FontAwesomeGraphic.share_alt_square).build();
    public static final FontAwesomeIconType share_square = on(FontAwesomeGraphic.share_square).build();
    public static final FontAwesomeIconType share_square_o = on(FontAwesomeGraphic.share_square_o).build();
    public static final FontAwesomeIconType shekel = on(FontAwesomeGraphic.sheqel).build();
    public static final FontAwesomeIconType sheqel = shekel;
    public static final FontAwesomeIconType shield = on(FontAwesomeGraphic.shield).build();
    public static final FontAwesomeIconType ship = on(FontAwesomeGraphic.ship).build();
    public static final FontAwesomeIconType shirtsinbulk = on(FontAwesomeGraphic.shirtsinbulk).build();
    public static final FontAwesomeIconType shopping_cart = on(
            FontAwesomeIconTypeBuilder.FontAwesomeGraphic.shopping_cart).build();
    public static final FontAwesomeIconType sign_blank = on(FontAwesomeGraphic.sign_blank).build();
    public static final FontAwesomeIconType sign_in = on(FontAwesomeGraphic.sign_in).build();
    public static final FontAwesomeIconType sign_out = on(FontAwesomeGraphic.sign_out).build();
    public static final FontAwesomeIconType signal = on(FontAwesomeGraphic.signal).build();
    public static final FontAwesomeIconType simplybuilt = on(FontAwesomeGraphic.simplybuilt).build();
    public static final FontAwesomeIconType sitemap = on(FontAwesomeGraphic.sitemap).build();
    public static final FontAwesomeIconType skyatlas = on(FontAwesomeGraphic.skyatlas).build();
    public static final FontAwesomeIconType skype = on(FontAwesomeGraphic.skype).build();
    public static final FontAwesomeIconType slack = on(FontAwesomeGraphic.slack).build();
    public static final FontAwesomeIconType sliders = on(FontAwesomeGraphic.sliders).build();
    public static final FontAwesomeIconType slideshare = on(FontAwesomeGraphic.slideshare).build();
    public static final FontAwesomeIconType smile_o = on(FontAwesomeGraphic.smile_o).build();
    public static final FontAwesomeIconType soccer_ball_o = futbol_o;
    public static final FontAwesomeIconType sort = on(FontAwesomeGraphic.sort).build();
    public static final FontAwesomeIconType sort_alpha_asc = on(FontAwesomeGraphic.sort_alpha_asc).build();
    public static final FontAwesomeIconType sort_alpha_desc = on(FontAwesomeGraphic.sort_alpha_desc).build();
    public static final FontAwesomeIconType sort_amount_asc = on(
            FontAwesomeIconTypeBuilder.FontAwesomeGraphic.sort_amount_asc).build();
    public static final FontAwesomeIconType sort_amount_desc = on(FontAwesomeGraphic.sort_amount_desc).build();
    public static final FontAwesomeIconType sort_asc = on(FontAwesomeGraphic.sort_asc).build();
    public static final FontAwesomeIconType sort_desc = on(FontAwesomeGraphic.sort_desc).build();
    public static final FontAwesomeIconType sort_down = on(FontAwesomeGraphic.sort_asc).build();
    public static final FontAwesomeIconType sort_numeric_asc = on(FontAwesomeGraphic.sort_numeric_asc).build();
    public static final FontAwesomeIconType sort_numeric_desc = on(FontAwesomeGraphic.sort_numeric_desc).build();
    public static final FontAwesomeIconType sort_up = on(FontAwesomeGraphic.sort_desc).build();
    public static final FontAwesomeIconType soundcloud = on(FontAwesomeGraphic.soundcloud).build();
    public static final FontAwesomeIconType space_shuttle = on(FontAwesomeGraphic.space_shuttle).build();
    public static final FontAwesomeIconType spinner = on(FontAwesomeGraphic.spinner).build();
    public static final FontAwesomeIconType spoon = on(FontAwesomeGraphic.spoon).build();
    public static final FontAwesomeIconType spotify = on(FontAwesomeGraphic.spotify).build();
    public static final FontAwesomeIconType square = on(FontAwesomeGraphic.square).build();
    public static final FontAwesomeIconType square_o = on(FontAwesomeGraphic.square_o).build();
    public static final FontAwesomeIconType stack_exchange = on(
            FontAwesomeIconTypeBuilder.FontAwesomeGraphic.stack_exchange).build();
    public static final FontAwesomeIconType stack_overflow = on(
            FontAwesomeIconTypeBuilder.FontAwesomeGraphic.stack_overflow).build();
    public static final FontAwesomeIconType star = on(FontAwesomeGraphic.star).build();
    public static final FontAwesomeIconType star_half = on(FontAwesomeGraphic.star_half).build();
    public static final FontAwesomeIconType star_half_empty = on(FontAwesomeGraphic.star_half).build();
    public static final FontAwesomeIconType star_half_full = on(FontAwesomeGraphic.star_half).build();
    public static final FontAwesomeIconType star_half_o = on(FontAwesomeGraphic.star_half_o).build();
    public static final FontAwesomeIconType star_o = on(FontAwesomeGraphic.star_o).build();
    public static final FontAwesomeIconType steam = on(FontAwesomeGraphic.steam).build();
    public static final FontAwesomeIconType steam_square = on(FontAwesomeGraphic.steam_square).build();
    public static final FontAwesomeIconType step_backward = on(FontAwesomeGraphic.step_backward).build();
    public static final FontAwesomeIconType step_forward = on(FontAwesomeGraphic.step_forward).build();
    public static final FontAwesomeIconType stethoscope = on(FontAwesomeGraphic.stethoscope).build();
    public static final FontAwesomeIconType sticky_note = on(FontAwesomeGraphic.sticky_note).build();
    public static final FontAwesomeIconType sticky_note_o = on(FontAwesomeGraphic.sticky_note_o).build();
    public static final FontAwesomeIconType stumbleupon_circle = on(FontAwesomeGraphic.stumbleupon_circle).build();
    public static final FontAwesomeIconType stop = on(FontAwesomeGraphic.stop).build();
    public static final FontAwesomeIconType strikethrough = on(
            FontAwesomeIconTypeBuilder.FontAwesomeGraphic.strikethrough).build();
    public static final FontAwesomeIconType subscript = on(FontAwesomeGraphic.subscript).build();
    public static final FontAwesomeIconType subway = on(FontAwesomeGraphic.subway).build();
    public static final FontAwesomeIconType suitcase = on(FontAwesomeGraphic.suitcase).build();
    public static final FontAwesomeIconType sun_o = on(FontAwesomeGraphic.sun_o).build();
    public static final FontAwesomeIconType superscript = on(FontAwesomeIconTypeBuilder.FontAwesomeGraphic.superscript)
            .build();
    public static final FontAwesomeIconType support = life_bouy;
    public static final FontAwesomeIconType table = on(FontAwesomeGraphic.table).build();
    public static final FontAwesomeIconType tablet = on(FontAwesomeGraphic.tablet).build();
    public static final FontAwesomeIconType tachometer = on(FontAwesomeGraphic.tachometer).build();
    public static final FontAwesomeIconType tag = on(FontAwesomeGraphic.tag).build();
    public static final FontAwesomeIconType tags = on(FontAwesomeGraphic.tags).build();
    public static final FontAwesomeIconType tasks = on(FontAwesomeGraphic.tasks).build();
    public static final FontAwesomeIconType taxi = cab;
    public static final FontAwesomeIconType television = on(FontAwesomeGraphic.television).build();
    public static final FontAwesomeIconType tencent_weibo = on(FontAwesomeGraphic.tencent_weibo).build();
    public static final FontAwesomeIconType terminal = on(FontAwesomeGraphic.terminal).build();
    public static final FontAwesomeIconType text_height = on(FontAwesomeGraphic.text_height).build();
    public static final FontAwesomeIconType text_width = on(FontAwesomeGraphic.text_width).build();
    public static final FontAwesomeIconType th = on(FontAwesomeGraphic.th).build();
    public static final FontAwesomeIconType th_large = on(FontAwesomeIconTypeBuilder.FontAwesomeGraphic.th_large)
            .build();
    public static final FontAwesomeIconType th_list = on(FontAwesomeGraphic.th_list).build();
    public static final FontAwesomeIconType thumb_tack = on(FontAwesomeGraphic.thumb_tack).build();
    public static final FontAwesomeIconType thumbs_down = on(FontAwesomeGraphic.thumbs_down).build();
    public static final FontAwesomeIconType thumbs_o_down = on(FontAwesomeGraphic.thumbs_o_down).build();
    public static final FontAwesomeIconType thumbs_o_up = on(FontAwesomeGraphic.thumbs_o_up).build();
    public static final FontAwesomeIconType thumbs_up = on(FontAwesomeGraphic.thumbs_up).build();
    public static final FontAwesomeIconType ticket = on(FontAwesomeGraphic.ticket).build();
    public static final FontAwesomeIconType times = on(FontAwesomeGraphic.times).build();
    public static final FontAwesomeIconType times_circle = on(FontAwesomeGraphic.times_circle).build();
    public static final FontAwesomeIconType times_circle_o = on(FontAwesomeGraphic.times_circle_o).build();
    public static final FontAwesomeIconType tint = on(FontAwesomeGraphic.tint).build();
    public static final FontAwesomeIconType toggle_down = on(FontAwesomeGraphic.toggle_down).build();
    public static final FontAwesomeIconType toggle_left = on(FontAwesomeGraphic.toggle_left).build();
    public static final FontAwesomeIconType toggle_off = on(FontAwesomeGraphic.toggle_off).build();
    public static final FontAwesomeIconType toggle_on = on(FontAwesomeGraphic.toggle_on).build();
    public static final FontAwesomeIconType toggle_right = on(FontAwesomeGraphic.toggle_right).build();
    public static final FontAwesomeIconType toggle_up = on(FontAwesomeGraphic.toggle_up).build();
    public static final FontAwesomeIconType trademark = on(FontAwesomeGraphic.trademark).build();
    public static final FontAwesomeIconType train = on(FontAwesomeGraphic.train).build();
    public static final FontAwesomeIconType transgender = on(FontAwesomeGraphic.transgender).build();
    public static final FontAwesomeIconType transgender_alt = on(FontAwesomeGraphic.transgender_alt).build();
    public static final FontAwesomeIconType trash = on(FontAwesomeGraphic.trash).build();
    public static final FontAwesomeIconType trash_o = on(FontAwesomeGraphic.trash_o).build();
    public static final FontAwesomeIconType tree = on(FontAwesomeGraphic.tree).build();
    public static final FontAwesomeIconType trello = on(FontAwesomeGraphic.trello).build();
    public static final FontAwesomeIconType tripadvisor = on(FontAwesomeGraphic.tripadvisor).build();
    public static final FontAwesomeIconType trophy = on(FontAwesomeGraphic.trophy).build();
    public static final FontAwesomeIconType truck = on(FontAwesomeGraphic.truck).build();
    // lol I cannot call it 'try'!
    // public static final FontAwesomeIconType try = on(FontAwesomeGraphic.try).build();
    public static final FontAwesomeIconType tty = on(FontAwesomeGraphic.tty).build();
    public static final FontAwesomeIconType tumblr = on(FontAwesomeGraphic.tumblr).build();
    public static final FontAwesomeIconType tumblr_square = on(
            FontAwesomeIconTypeBuilder.FontAwesomeGraphic.tumblr_square).build();
    public static final FontAwesomeIconType turkish_lira = on(
            FontAwesomeIconTypeBuilder.FontAwesomeGraphic.turkish_lira).build();
    public static final FontAwesomeIconType tv = television;
    public static final FontAwesomeIconType twitch = on(FontAwesomeGraphic.twitch).build();
    public static final FontAwesomeIconType twitter = on(FontAwesomeGraphic.twitter).build();
    public static final FontAwesomeIconType twitter_square = on(FontAwesomeGraphic.twitter_square).build();
    public static final FontAwesomeIconType umbrella = on(FontAwesomeGraphic.umbrella).build();
    public static final FontAwesomeIconType underline = on(FontAwesomeGraphic.underline).build();
    public static final FontAwesomeIconType undo = on(FontAwesomeIconTypeBuilder.FontAwesomeGraphic.undo).build();
    public static final FontAwesomeIconType university = on(FontAwesomeIconTypeBuilder.FontAwesomeGraphic.university).build();
    public static final FontAwesomeIconType unlink = on(FontAwesomeGraphic.unlink).build();
    public static final FontAwesomeIconType unlock = on(FontAwesomeGraphic.unlock).build();
    public static final FontAwesomeIconType unlock_alt = on(FontAwesomeGraphic.unlock_alt).build();
    public static final FontAwesomeIconType unsorted = on(FontAwesomeGraphic.unsorted).build();
    public static final FontAwesomeIconType upload = on(FontAwesomeGraphic.upload).build();
    public static final FontAwesomeIconType usd = on(FontAwesomeGraphic.usd).build();
    public static final FontAwesomeIconType user = on(FontAwesomeGraphic.user).build();
    public static final FontAwesomeIconType user_md = on(FontAwesomeGraphic.user_md).build();
    public static final FontAwesomeIconType user_plus = on(FontAwesomeGraphic.user_plus).build();
    public static final FontAwesomeIconType user_secret = on(FontAwesomeGraphic.user_secret).build();
    public static final FontAwesomeIconType user_times = on(FontAwesomeGraphic.user_times).build();
    public static final FontAwesomeIconType users = on(FontAwesomeGraphic.users).build();
    public static final FontAwesomeIconType venus = on(FontAwesomeGraphic.venus).build();
    public static final FontAwesomeIconType venus_double = on(FontAwesomeGraphic.venus_double).build();
    public static final FontAwesomeIconType venus_mars = on(FontAwesomeGraphic.venus_mars).build();
    public static final FontAwesomeIconType viacoin = on(FontAwesomeGraphic.viacoin).build();
    public static final FontAwesomeIconType video_camera = on(FontAwesomeGraphic.video_camera).build();
    public static final FontAwesomeIconType vimeo = on(FontAwesomeGraphic.vimeo).build();
    public static final FontAwesomeIconType vimeo_square = on(
            FontAwesomeIconTypeBuilder.FontAwesomeGraphic.vimeo_square).build();
    public static final FontAwesomeIconType vk = on(FontAwesomeGraphic.vk).build();
    public static final FontAwesomeIconType volume_down = on(FontAwesomeGraphic.volume_down).build();
    public static final FontAwesomeIconType volume_off = on(FontAwesomeGraphic.volume_off).build();
    public static final FontAwesomeIconType volume_up = on(FontAwesomeGraphic.volume_up).build();
    public static final FontAwesomeIconType warning = on(FontAwesomeGraphic.warning).build();
    public static final FontAwesomeIconType wechat = on(FontAwesomeGraphic.weixin).build();
    public static final FontAwesomeIconType weelchair = on(FontAwesomeGraphic.weelchair).build();
    public static final FontAwesomeIconType weibo = on(FontAwesomeGraphic.weibo).build();
    public static final FontAwesomeIconType weixin = wechat;
    public static final FontAwesomeIconType whatsapp = on(FontAwesomeGraphic.whatsapp).build();
    public static final FontAwesomeIconType wheelchair = on(FontAwesomeGraphic.wheelchair).build();
    public static final FontAwesomeIconType wifi = on(FontAwesomeGraphic.wifi).build();
    public static final FontAwesomeIconType wikipedia_w = on(FontAwesomeGraphic.wikipedia_w).build();
    public static final FontAwesomeIconType windows = on(FontAwesomeGraphic.windows).build();
    public static final FontAwesomeIconType won = krw;
    public static final FontAwesomeIconType wordpress = on(FontAwesomeGraphic.wordpress).build();
    public static final FontAwesomeIconType wrench = on(FontAwesomeGraphic.wrench).build();
    public static final FontAwesomeIconType xing = on(FontAwesomeGraphic.xing).build();
    public static final FontAwesomeIconType xing_square = on(FontAwesomeGraphic.xing_square).build();
    public static final FontAwesomeIconType y_combinator = on(FontAwesomeGraphic.y_combinator).build();
    public static final FontAwesomeIconType y_combinator_square = y_combinator;
    public static final FontAwesomeIconType yahoo = on(FontAwesomeGraphic.yahoo).build();
    public static final FontAwesomeIconType yc = y_combinator;
    public static final FontAwesomeIconType yelp = on(FontAwesomeGraphic.yelp).build();
    public static final FontAwesomeIconType youtube = on(FontAwesomeGraphic.youtube).build();
    public static final FontAwesomeIconType youtube_play = on(
            FontAwesomeIconTypeBuilder.FontAwesomeGraphic.youtube_play).build();
    public static final FontAwesomeIconType youtube_square = on(FontAwesomeGraphic.youtube_square).build();
    public static final FontAwesomeIconType yen = on(FontAwesomeGraphic.jpy).build();

    private static final long serialVersionUID = 1L;

    /**
     * Constructor.
     *
     * @param cssClassName The css class name of the icon reference
     */
    FontAwesomeIconType(final String... cssClassName) {
        super(Strings.join(" ", cssClassName));
    }

    @Override
    public String cssClassName() {
        return "fa fa-" + getCssClassName();
    }
}
